import request from '@/utils/request'

// 查询钱包提现配置列表
export function listWithdrawalConfig(query) {
  return request({
    url: '/model/WithdrawalConfig/list',
    method: 'get',
    params: query
  })
}

// 查询钱包提现配置详细
export function getWithdrawalConfig(id) {
  return request({
    url: '/model/WithdrawalConfig/' + id,
    method: 'get'
  })
}

// 新增钱包提现配置
export function addWithdrawalConfig(data) {
  return request({
    url: '/model/WithdrawalConfig',
    method: 'post',
    data: data
  })
}

// 修改钱包提现配置
export function updateWithdrawalConfig(data) {
  return request({
    url: '/model/WithdrawalConfig',
    method: 'put',
    data: data
  })
}

// 删除钱包提现配置
export function delWithdrawalConfig(id) {
  return request({
    url: '/model/WithdrawalConfig/' + id,
    method: 'delete'
  })
}
